#!/system/bin/sh

cd $(dirname $0)

z=$(cmd game list $game)

cat << "EOF"
⠀⢀⣤⣶⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣶⣦⣄
⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣷⣦
⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣯⡉⠙⠻⢿⣿⣿⣿⣿⣿⢿⣦
⣿⣿⣿⣿⣿⣿⣿⢿⣿⣿⣿⣿⡆⠀⠀⢻⣿⣿⣿⣿⡆⠈⢳⡄
⣿⣿⣿⣿⣿⣿⣿⠈⢿⣿⣿⣿⣷⠖⠀⠀⣿⣿⣿⣿⣿⣄⠀⣿⡄
⣿⣿⣿⣿⣿⣿⣿⣇⠀⢄⡙⠋⠻⡄⠀⣼⣿⣿⣿⣩⠟⠟⠀⣼⣿⡄
⣿⣿⣿⣿⣿⣿⣿⣿⣷⣦⣭⣤⣤⣴⣿⣿⣿⣿⣿⣿⣿⣦⣴⣿⣿⣷⠀
⣿⣿⣿⣿⣿⣿⣿⣿⠿⠿⠿⠿⢿⣿⣿⣶⣶⣶⣶⣾⣿⣿⣿⣿⣿⣿⢰⣶⣄
⣏⣉⣛⣛⣛⣛⣥⣶⣾⣿⣿⣿⣷⡝⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⢸⣿⣿⡇
⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡇⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⢸⣿⠟⠀
⡇⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⢋⣼⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡟⠈⠁
⡇⠀⠹⣿⣿⣿⡿⠿⠛⣋⣥⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠃
EOF

dumpsys deviceidle disable > /dev/null

# Apply device config
device_config delete game_overlay "$game" > /dev/null
  if [ $? -eq 0 ]; then  
     echo "[ Device_config deleted ]"
  fi
    
if [ -n "$z" ]; then
    cmd game reset $game > /dev/null
        if [ $? -eq 0 ]; then
            echo "[ Cmd Mode Removed ]"
        fi
    
    cmd game mode standart $game > /dev/null
fi


# Set system properties for performance
for debug in $(getprop | grep -F [debug. | cut -f 2 -d [ | cut -f 1 -d ]); do setprop $debug ""
done

setprop debug.hwui.renderer opengl; setprop debug.renderengine.backend openglthreaded; setprop debug.angle.overlay FPS:Opengl*PipelineCache*;

device_config put activity_manager_native_boot use_freezer false

cmd looper_stats reset
cmd power set-adaptive-power-saver-enabled reset
cmd power set-fixed-performance-mode-enabled reset
cmd power set-mode 1
cmd thermalservice reset
cmd thermalservice override-status 8

settings put system peak_refresh_rate 60
settings put system user_refresh_rate 60
settings delete secure speed_mode_enable 
settings delete system speed_mode 
settings put global window_animation_scale 1.0
settings put global transition_animation_scale 1.0
settings put global animator_duration_scale 1.0
